#
# Conditional build:
%bcond_without	doc	# Documentation

%define		orgname		qtx11extras
%define		qtbase_ver	%{version}
%define		qttools_ver	%{version}
Summary:	The Qt5 X11 Extras library
Summary(pl.UTF-8):	Biblioteka Qt5 X11 Extras
Name:		qt5-%{orgname}
Version:	5.15.7
Release:	1
License:	LGPL v3 or GPL v2 or GPL v3 or commercial
Group:		X11/Libraries
Source0:	https://download.qt.io/official_releases/qt/5.15/%{version}/submodules/%{orgname}-everywhere-opensource-src-%{version}.tar.xz
# Source0-md5:	eb8dfca7371c488a53e069424894e820
URL:		https://www.qt.io/
BuildRequires:	Qt5Core-devel >= %{qtbase_ver}
BuildRequires:	Qt5Gui-devel >= %{qtbase_ver}
%if %{with doc}
BuildRequires:	qt5-assistant >= %{qttools_ver}
%endif
BuildRequires:	qt5-build >= %{qtbase_ver}
BuildRequires:	qt5-qmake >= %{qtbase_ver}
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 2.016
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fno-strict-aliasing
%define		qt5dir		%{_libdir}/qt5

%description
Qt is a cross-platform application and UI framework. Using Qt, you can
write web-enabled applications once and deploy them across desktop,
mobile and embedded systems without rewriting the source code.

This package contains Qt5 X11 Extras library.

%description -l pl.UTF-8
Qt to wieloplatformowy szkielet aplikacji i interfejsów użytkownika.
Przy użyciu Qt można pisać aplikacje powiązane z WWW i wdrażać je w
systemach biurkowych, przenośnych i wbudowanych bez przepisywania kodu
źródłowego.

Ten pakiet zawiera bibliotekę Qt5 X11 Extras.

%package -n Qt5X11Extras
Summary:	The Qt5 X11 Extras library
Summary(pl.UTF-8):	Biblioteka Qt5 X11 Extras
Group:		Libraries
Requires:	Qt5Core >= %{qtbase_ver}
Requires:	Qt5Gui >= %{qtbase_ver}
Obsoletes:	qt5-qtx11extras < 5.2.0-1

%description -n Qt5X11Extras
Qt5 X11 Extras library provides classes for developing for the X11
platform.

%description -n Qt5X11Extras -l pl.UTF-8
Biblioteka Qt5 X11 Extras dostarcza klasy do tworzenia oprogramowania
dla platformy X11.

%package -n Qt5X11Extras-devel
Summary:	Qt5 X11 Extras - development files
Summary(pl.UTF-8):	Biblioteka Qt5 X11 Extras - pliki programistyczne
Group:		X11/Development/Libraries
Requires:	Qt5Core-devel >= %{qtbase_ver}
Requires:	Qt5Gui-devel >= %{qtbase_ver}
Requires:	Qt5X11Extras = %{version}-%{release}
Obsoletes:	qt5-qtx11extras-devel < 5.2.0-1

%description -n Qt5X11Extras-devel
Qt5 X11 Extras - development files.

%description -n Qt5X11Extras-devel -l pl.UTF-8
Biblioteka Qt5 X11 Extras - pliki programistyczne.

%package doc
Summary:	Qt5 X11 Extras documentation in HTML format
Summary(pl.UTF-8):	Dokumentacja do biblioteki Qt5 X11 Extras w formacie HTML
Group:		Documentation
Requires:	qt5-doc-common >= %{qtbase_ver}
BuildArch:	noarch

%description doc
Qt5 X11 Extras documentation in HTML format.

%description doc -l pl.UTF-8
Dokumentacja do biblioteki Qt5 X11 Extras w formacie HTML.

%package doc-qch
Summary:	Qt5 X11 Extras documentation in QCH format
Summary(pl.UTF-8):	Dokumentacja do biblioteki Qt5 X11 Extras w formacie QCH
Group:		Documentation
Requires:	qt5-doc-common >= %{qtbase_ver}
BuildArch:	noarch

%description doc-qch
Qt5 X11 Extras documentation in QCH format.

%description doc-qch -l pl.UTF-8
Dokumentacja do biblioteki Qt5 X11 Extras w formacie QCH.

%prep
%setup -q -n %{orgname}-everywhere-src-%{version}

%build
%{qmake_qt5}
%{__make}
%{?with_doc:%{__make} docs}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

%if %{with doc}
%{__make} install_docs \
	INSTALL_ROOT=$RPM_BUILD_ROOT
%endif

# useless symlinks
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libQt5*.so.5.??
# actually drop *.la, follow policy of not packaging them when *.pc exist
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libQt5*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n Qt5X11Extras -p /sbin/ldconfig
%postun	-n Qt5X11Extras -p /sbin/ldconfig

%files -n Qt5X11Extras
%defattr(644,root,root,755)
%doc LICENSE.GPL3-EXCEPT dist/changes-*
%attr(755,root,root) %{_libdir}/libQt5X11Extras.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libQt5X11Extras.so.5

%files -n Qt5X11Extras-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libQt5X11Extras.so
%{_libdir}/libQt5X11Extras.prl
%{_includedir}/qt5/QtX11Extras
%{_pkgconfigdir}/Qt5X11Extras.pc
%{_libdir}/cmake/Qt5X11Extras
%{qt5dir}/mkspecs/modules/qt_lib_x11extras.pri
%{qt5dir}/mkspecs/modules/qt_lib_x11extras_private.pri

%if %{with doc}
%files doc
%defattr(644,root,root,755)
%{_docdir}/qt5-doc/qtx11extras

%files doc-qch
%defattr(644,root,root,755)
%{_docdir}/qt5-doc/qtx11extras.qch
%endif
%changelog
* Fri Oct 28 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qt5-qtx11extras.git;a=log;h=master

* Fri Oct 28 2022 Jan Palus <atler@pld-linux.org> 5a59d1f
- up to 5.15.7

* Thu Sep 08 2022 Jan Palus <atler@pld-linux.org> c497878
- up to 5.15.6

* Mon Jun 27 2022 Jakub Bogusz <qboosh@pld-linux.org> 07840c1
- updated to 5.15.5

* Thu May 12 2022 Jan Palus <atler@pld-linux.org> f334291
- use macro for qmake invocation

* Thu May 12 2022 Jan Palus <atler@pld-linux.org> f9929af
- rpm version for noarch subpackage

* Thu May 12 2022 Jan Palus <atler@pld-linux.org> 6ed79cf
- updated source url to https

* Thu May 12 2022 Jan Palus <atler@pld-linux.org> 534deb1
- up to 5.15.4

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> 44977a1
- unconditional noarch subpackages

* Fri Dec 18 2020 Jakub Bogusz <qboosh@pld-linux.org> 4094a53
- use versioned Obsoletes for qt5-qtx11extras* (+fix typo)

* Fri Dec 18 2020 Jakub Bogusz <qboosh@pld-linux.org> ab8ceb5
- updated noarch rules and licensing information, drop unnecessary OpenGL-devel dependency

* Wed Nov 25 2020 Jan Palus <atler@pld-linux.org> 84ad0da
- release 2 (by relup.sh)

* Fri Nov 20 2020 Jan Palus <atler@pld-linux.org> 3c7ea69
- up to 5.15.2

* Thu Sep 10 2020 Jan Palus <atler@pld-linux.org> 6defa7c
- up to 5.15.1

* Sat May 30 2020 Jan Palus <atler@pld-linux.org> a945405
- up to 5.15.0

* Sat Apr 18 2020 Jan Palus <atler@pld-linux.org> 878c05f
- up to 5.14.2

* Mon Jan 27 2020 Jan Palus <atler@pld-linux.org> 50bec78
- up to 5.14.1

* Fri Dec 13 2019 Jan Palus <atler@pld-linux.org> 1ee6682
- up to 5.14.0

* Mon Nov 04 2019 Jan Palus <atler@pld-linux.org> 89b72a4
- up to 5.13.2

* Wed Sep 25 2019 Jan Palus <atler@pld-linux.org> 44571ff
- up to 5.13.1

* Thu Jun 20 2019 Jan Palus <atler@pld-linux.org> 0e5aec3
- up to 5.13.0

